Non Conformance Type
The non conformance type resource.
Basehttps://rest.carbon.ms/nonConformanceType
GET
/nonConformanceTypeList non conformance types
Retrieve a paginated list of non conformance types. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/nonConformanceType
curl --request GET \
--url 'https://rest.carbon.ms/nonConformanceType?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"name": "Example",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"customFields": "string",
"companyId": "xyz789",
"updatedAt": "2026-01-01T00:00:00Z",
"updatedBy": "string"
}
]GET
/nonConformanceTypeRetrieve a non conformance type
Fetch a single non conformance type by filtering on `id`.
Query parameters
idstringMatch on the non conformance type's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/nonConformanceType
curl --request GET \
--url 'https://rest.carbon.ms/nonConformanceType?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"name": "Example",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"customFields": "string",
"companyId": "xyz789",
"updatedAt": "2026-01-01T00:00:00Z",
"updatedBy": "string"
}POST
/nonConformanceTypeCreate a non conformance type
Create a new non conformance type.
Body parameters
namestringrequiredcompanyIdstringReferences company.id
customFieldsobjectrequiredPOSThttps://rest.carbon.ms/nonConformanceType
curl --request POST \
--url https://rest.carbon.ms/nonConformanceType \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"name":"Example","customFields":"string"}'Response
{
"id": "abc123def456",
"name": "Example",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"customFields": "string",
"companyId": "xyz789",
"updatedAt": "2026-01-01T00:00:00Z",
"updatedBy": "string"
}PATCH
/nonConformanceTypeUpdate a non conformance type
Update an existing non conformance type, matched on `id`.
Body parameters
namestringrequiredcompanyIdstringReferences company.id
customFieldsobjectrequiredPATCHhttps://rest.carbon.ms/nonConformanceType
curl --request PATCH \
--url 'https://rest.carbon.ms/nonConformanceType?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"name":"Example"}'Response
{
"id": "abc123def456",
"name": "Example",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"customFields": "string",
"companyId": "xyz789",
"updatedAt": "2026-01-01T00:00:00Z",
"updatedBy": "string"
}DELETE
/nonConformanceTypeDelete a non conformance type
Delete a non conformance type, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the non conformance type to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/nonConformanceType
curl --request DELETE \
--url 'https://rest.carbon.ms/nonConformanceType?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content